package com.perforce.hive.api.repository;

import javax.servlet.http.HttpServletResponse;

import org.apache.http.HttpResponse;

import com.perforce.hive.api.artifact.ArtifactType;
import com.perforce.p4java.server.IOptionsServer;

import ro.fortsoft.pf4j.ExtensionPoint;
import spark.Request;
import spark.Response;

public interface RepoInterface extends ExtensionPoint {

	public String getName();

	public String getTitle();

	public String getDescription();

	public SiteType getSiteType();

	public ArtifactType getArtifactType();

	public String getSummaryPattern();

	public String getPath(Request request);

	public HttpServletResponse fetch(IOptionsServer p4, Request request, Response response) throws Exception;

	public HttpResponse query(IOptionsServer p4, Request request, Response response) throws Exception;
}
