package com.perforce.hive.plugin.gem;

import java.io.InputStream;
import java.util.List;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;

import com.perforce.hive.api.artifact.SummaryInterface;
import com.perforce.p4java.core.file.IFileSpec;
import com.perforce.p4java.option.server.GetFileContentsOptions;
import com.perforce.p4java.server.IOptionsServer;

public class GemSummary implements SummaryInterface {

	private SortedMap<String, String> properties = new TreeMap<>();

	public GemSummary(IOptionsServer p4, List<IFileSpec> summary) {
		try {
			GetFileContentsOptions printOpts = new GetFileContentsOptions();
			printOpts.setNoHeaderLine(true);
			InputStream ins = p4.getFileContents(summary, printOpts);

			// TODO

		} catch (Exception e) {
			// TODO
		}
	}

	@Override
	public Map<String, String> getProperties() {
		return properties;
	}

}
