package com.perforce.hive.deploy;

import java.util.ArrayList;
import java.util.List;

import com.perforce.p4java.core.IChangelist;
import com.perforce.p4java.core.file.IFileSpec;
import com.perforce.p4java.exception.P4JavaException;
import com.perforce.p4java.server.IOptionsServer;

public class DeployFactory {

	public static List<String> listFiles(IOptionsServer p4, String cl)
			throws P4JavaException {

		List<String> list = new ArrayList<>();

		int id = Integer.parseInt(cl);
		IChangelist change = p4.getChangelist(id);

		List<IFileSpec> files = change.getFiles(false);
		for (IFileSpec f : files) {
			list.add(f.getDepotPathString());
		}
		return list;
	}
	
}
